org.apache.jmeter.protocol.mail.sampler

## Class MailFileMessage

- java.lang.Object
- - javax.mail.Message
  - - javax.mail.internet.MimeMessage
    - - org.apache.jmeter.protocol.mail.sampler.MailFileMessage

All Implemented Interfaces:
  javax.mail.internet.MimePart, javax.mail.Part

    public class MailFileMessage
    extends javax.mail.internet.MimeMessage

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.mail.internet.MimeMessage

`javax.mail.internet.MimeMessage.RecipientType`

### Field Summary

### Fields inherited from class javax.mail.internet.MimeMessage

`cachedContent, content, contentStream, dh, flags, headers, modified, saved`

### Fields inherited from class javax.mail.Message

`expunged, folder, msgnum, session`

### Fields inherited from interface javax.mail.Part

`ATTACHMENT, INLINE`

### Constructor Summary

Constructors
`protected` `MailFileMessage(javax.mail.Folder folder, InputStream in, int number)`

### Method Summary

### Methods inherited from class javax.mail.internet.MimeMessage

`addFrom, addHeader, addHeaderLine, addRecipients, addRecipients, createInternetHeaders, createMimeMessage, getAllHeaderLines, getAllHeaders, getAllRecipients, getContent, getContentID, getContentLanguage, getContentMD5, getContentStream, getContentType, getDataHandler, getDescription, getDisposition, getEncoding, getFileName, getFlags, getFrom, getHeader, getHeader, getInputStream, getLineCount, getMatchingHeaderLines, getMatchingHeaders, getMessageID, getNonMatchingHeaderLines, getNonMatchingHeaders, getRawInputStream, getReceivedDate, getRecipients, getReplyTo, getSender, getSentDate, getSize, getSubject, isMimeType, isSet, parse, removeHeader, reply, reply, saveChanges, setContent, setContent, setContentID, setContentLanguage, setContentMD5, setDataHandler, setDescription, setDescription, setDisposition, setFileName, setFlags, setFrom, setFrom, setFrom, setHeader, setRecipients, setRecipients, setReplyTo, setSender, setSentDate, setSubject, setSubject, setText, setText, setText, updateHeaders, updateMessageID, writeTo, writeTo`

### Methods inherited from class javax.mail.Message

`addRecipient, getFolder, getMessageNumber, getSession, isExpunged, match, setExpunged, setFlag, setMessageNumber, setRecipient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MailFileMessage

    protected MailFileMessage(javax.mail.Folder folder,
                              InputStream in,
                              int number)
                       throws javax.mail.MessagingException

Throws:
  `javax.mail.MessagingException`